## WebKitDOMHTMLImageElement

WebKitDOMHTMLImageElement

## Functions

gchar * | webkit_dom_html_image_element_get_name ()
void | webkit_dom_html_image_element_set_name ()
gchar * | webkit_dom_html_image_element_get_align ()
void | webkit_dom_html_image_element_set_align ()
gchar * | webkit_dom_html_image_element_get_alt ()
void | webkit_dom_html_image_element_set_alt ()
gchar * | webkit_dom_html_image_element_get_border ()
void | webkit_dom_html_image_element_set_border ()
gchar * | webkit_dom_html_image_element_get_cross_origin ()
void | webkit_dom_html_image_element_set_cross_origin ()
glong | webkit_dom_html_image_element_get_height ()
void | webkit_dom_html_image_element_set_height ()
glong | webkit_dom_html_image_element_get_hspace ()
void | webkit_dom_html_image_element_set_hspace ()
gboolean | webkit_dom_html_image_element_get_is_map ()
void | webkit_dom_html_image_element_set_is_map ()
gchar * | webkit_dom_html_image_element_get_long_desc ()
void | webkit_dom_html_image_element_set_long_desc ()
gchar * | webkit_dom_html_image_element_get_src ()
void | webkit_dom_html_image_element_set_src ()
gchar * | webkit_dom_html_image_element_get_srcset ()
void | webkit_dom_html_image_element_set_srcset ()
gchar * | webkit_dom_html_image_element_get_use_map ()
void | webkit_dom_html_image_element_set_use_map ()
glong | webkit_dom_html_image_element_get_vspace ()
void | webkit_dom_html_image_element_set_vspace ()
glong | webkit_dom_html_image_element_get_width ()
void | webkit_dom_html_image_element_set_width ()
gboolean | webkit_dom_html_image_element_get_complete ()
gchar * | webkit_dom_html_image_element_get_lowsrc ()
void | webkit_dom_html_image_element_set_lowsrc ()
glong | webkit_dom_html_image_element_get_natural_height ()
glong | webkit_dom_html_image_element_get_natural_width ()
glong | webkit_dom_html_image_element_get_x ()
glong | webkit_dom_html_image_element_get_y ()

## Properties

gchar * | align | Read / Write
gchar * | alt | Read / Write
gchar * | border | Read / Write
gboolean | complete | Read
gchar * | cross-origin | Read / Write
glong | height | Read / Write
glong | hspace | Read / Write
gboolean | is-map | Read / Write
gchar * | long-desc | Read / Write
gchar * | lowsrc | Read / Write
gchar * | name | Read / Write
glong | natural-height | Read
glong | natural-width | Read
gchar * | src | Read / Write
gchar * | srcset | Read / Write
gchar * | use-map | Read / Write
glong | vspace | Read / Write
glong | width | Read / Write
glong | x | Read
glong | y | Read

## Types and Values

| WebKitDOMHTMLImageElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLImageElement

## Implemented Interfaces

WebKitDOMHTMLImageElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_image_element_get_name ()

    gchar *
    webkit_dom_html_image_element_get_name
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_name ()

    void
    webkit_dom_html_image_element_set_name
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_align ()

    gchar *
    webkit_dom_html_image_element_get_align
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_align ()

    void
    webkit_dom_html_image_element_set_align
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_alt ()

    gchar *
    webkit_dom_html_image_element_get_alt (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_alt ()

    void
    webkit_dom_html_image_element_set_alt (WebKitDOMHTMLImageElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_border ()

    gchar *
    webkit_dom_html_image_element_get_border
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_border ()

    void
    webkit_dom_html_image_element_set_border
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_cross_origin ()

    gchar *
    webkit_dom_html_image_element_get_cross_origin
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_cross_origin ()

    void
    webkit_dom_html_image_element_set_cross_origin
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_height ()

    glong
    webkit_dom_html_image_element_get_height
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

### webkit_dom_html_image_element_set_height ()

    void
    webkit_dom_html_image_element_set_height
                                   (WebKitDOMHTMLImageElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A glong |

### webkit_dom_html_image_element_get_hspace ()

    glong
    webkit_dom_html_image_element_get_hspace
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

### webkit_dom_html_image_element_set_hspace ()

    void
    webkit_dom_html_image_element_set_hspace
                                   (WebKitDOMHTMLImageElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A glong |

### webkit_dom_html_image_element_get_is_map ()

    gboolean
    webkit_dom_html_image_element_get_is_map
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gboolean

### webkit_dom_html_image_element_set_is_map ()

    void
    webkit_dom_html_image_element_set_is_map
                                   (WebKitDOMHTMLImageElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gboolean |

### webkit_dom_html_image_element_get_long_desc ()

    gchar *
    webkit_dom_html_image_element_get_long_desc
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_long_desc ()

    void
    webkit_dom_html_image_element_set_long_desc
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_src ()

    gchar *
    webkit_dom_html_image_element_get_src (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_src ()

    void
    webkit_dom_html_image_element_set_src (WebKitDOMHTMLImageElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_srcset ()

    gchar *
    webkit_dom_html_image_element_get_srcset
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_srcset ()

    void
    webkit_dom_html_image_element_set_srcset
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_use_map ()

    gchar *
    webkit_dom_html_image_element_get_use_map
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_use_map ()

    void
    webkit_dom_html_image_element_set_use_map
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_vspace ()

    glong
    webkit_dom_html_image_element_get_vspace
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

### webkit_dom_html_image_element_set_vspace ()

    void
    webkit_dom_html_image_element_set_vspace
                                   (WebKitDOMHTMLImageElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A glong |

### webkit_dom_html_image_element_get_width ()

    glong
    webkit_dom_html_image_element_get_width
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

### webkit_dom_html_image_element_set_width ()

    void
    webkit_dom_html_image_element_set_width
                                   (WebKitDOMHTMLImageElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A glong |

### webkit_dom_html_image_element_get_complete ()

    gboolean
    webkit_dom_html_image_element_get_complete
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gboolean

### webkit_dom_html_image_element_get_lowsrc ()

    gchar *
    webkit_dom_html_image_element_get_lowsrc
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A gchar

### webkit_dom_html_image_element_set_lowsrc ()

    void
    webkit_dom_html_image_element_set_lowsrc
                                   (WebKitDOMHTMLImageElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLImageElement |
value | A gchar |

### webkit_dom_html_image_element_get_natural_height ()

    glong
    webkit_dom_html_image_element_get_natural_height
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

### webkit_dom_html_image_element_get_natural_width ()

    glong
    webkit_dom_html_image_element_get_natural_width
                                   (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

### webkit_dom_html_image_element_get_x ()

    glong
    webkit_dom_html_image_element_get_x (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

### webkit_dom_html_image_element_get_y ()

    glong
    webkit_dom_html_image_element_get_y (WebKitDOMHTMLImageElement *self);

#### Parameters

self | A WebKitDOMHTMLImageElement |

#### Returns

A glong

## Types and Values

### WebKitDOMHTMLImageElement

    typedef struct _WebKitDOMHTMLImageElement WebKitDOMHTMLImageElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLImageElement:align.

Flags: Read / Write

Default value: ""

### The `“alt”` property

      “alt”                      gchar *

read-write gchar* HTMLImageElement:alt.

Flags: Read / Write

Default value: ""

### The `“border”` property

      “border”                   gchar *

read-write gchar* HTMLImageElement:border.

Flags: Read / Write

Default value: ""

### The `“complete”` property

      “complete”                 gboolean

read-only gboolean HTMLImageElement:complete.

Flags: Read

Default value: FALSE

### The `“cross-origin”` property

      “cross-origin”             gchar *

read-write gchar* HTMLImageElement:cross-origin.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   glong

read-write glong HTMLImageElement:height.

Flags: Read / Write

Default value: 0

### The `“hspace”` property

      “hspace”                   glong

read-write glong HTMLImageElement:hspace.

Flags: Read / Write

Default value: 0

### The `“is-map”` property

      “is-map”                   gboolean

read-write gboolean HTMLImageElement:is-map.

Flags: Read / Write

Default value: FALSE

### The `“long-desc”` property

      “long-desc”                gchar *

read-write gchar* HTMLImageElement:long-desc.

Flags: Read / Write

Default value: ""

### The `“lowsrc”` property

      “lowsrc”                   gchar *

read-write gchar* HTMLImageElement:lowsrc.

Flags: Read / Write

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLImageElement:name.

Flags: Read / Write

Default value: ""

### The `“natural-height”` property

      “natural-height”           glong

read-only glong HTMLImageElement:natural-height.

Flags: Read

Default value: 0

### The `“natural-width”` property

      “natural-width”            glong

read-only glong HTMLImageElement:natural-width.

Flags: Read

Default value: 0

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLImageElement:src.

Flags: Read / Write

Default value: ""

### The `“srcset”` property

      “srcset”                   gchar *

read-write gchar* HTMLImageElement:srcset.

Flags: Read / Write

Default value: ""

### The `“use-map”` property

      “use-map”                  gchar *

read-write gchar* HTMLImageElement:use-map.

Flags: Read / Write

Default value: ""

### The `“vspace”` property

      “vspace”                   glong

read-write glong HTMLImageElement:vspace.

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    glong

read-write glong HTMLImageElement:width.

Flags: Read / Write

Default value: 0

### The `“x”` property

      “x”                        glong

read-only glong HTMLImageElement:x.

Flags: Read

Default value: 0

### The `“y”` property

      “y”                        glong

read-only glong HTMLImageElement:y.

Flags: Read

Default value: 0